using UnityEngine;
using System.Collections;

public class ObjectSpawner : MonoBehaviour {
	
	public static ObjectSpawner SP;
	public Transform[] objects;
	float spawnSpeedMin;
	float spawnSpeedMax;
	
	float height = 15;
	
	float spawnRate = 4.5f;
	
	
	void Start()
	{
	SP = this;	
	}
	
	public void StartSpawning () {
		InvokeRepeating("SpawnObjects",0,spawnRate);

	}
	
	public void StopSpawning()
	{
		CancelInvoke("SpawnObjects");
		
	}
	
	
	void SpawnObjects ()
	{
		Vector3 pos = new Vector3(transform.position.x,this.transform.position.y+ Random.Range(-height,height),transform.position.z );

        int rand = Random.Range(0,objects.Length);
		if(Menu.SP.WiiMove)
		{
        if(rand ==3)
			rand= 0;
		else if( rand == 1 || rand == 2)
		{
			if(Random.Range(0,100) >50 )
				rand = 0;
			
		}
		}
		Instantiate(objects[rand],pos,transform.rotation);
		
	}
}
